Попытка установить Couchbase, с ошибкой gcc, Python

Я пытаюсь установить couchbase для python, но я получаю следующую ошибку:

building 'couchbase._libcouchbase' extension creating build/temp.linux-i686-2.7 creating build/temp.linux-i686-2.7/src creating build/temp.linux-i686-2.7/src/viewrow creating build/temp.linux-i686-2.7/src/contrib creating build/temp.linux-i686-2.7/src/contrib/jsonsl gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes - fPIC -I/usr/include/python2.7 -c src/exceptions.c -o build/temp.linux-i686-2.7/src/exceptions.o In file included from src/exceptions.c:17:0: src/pycbc.h:25:36: fatal error: libcouchbase/couchbase.h: No such file or directory compilation terminated. error: command 'gcc' failed with exit status 1 

Я установил сервер couchbase и c-библиотеку, и у меня уже было:

 sudo apt-get install build-essential # for a C compiler sudo apt-get install python-dev 

Так что случилось?

    Вы должны установить libcouchbase сначала http://www.couchbase.com/communities/c/getting-started

     wget -O- http://packages.couchbase.com/ubuntu/couchbase.key | sudo apt-key add - sudo wget -O/etc/apt/sources.list.d/couchbase.list \ http://packages.couchbase.com/ubuntu/couchbase-ubuntu1204.list sudo apt-get update sudo apt-get install libcouchbase2-libevent libcouchbase-dev 

    А как насчет дебианских хрипов? libcouchbase2-libevent: Зависит от libevent-1.4-2 (> = 1.4.13-stable), но он не устанавливается libcouchbase2-core: Зависит: libssl0.9.8 (> = 0.9.8k-1), но он не устанавливается

    Если libcoouchbase не находится в репо, клонируйте репозиторий libcouchbase и следуйте инструкциям оттуда, чтобы установить его:

     $ git clone git://github.com/couchbase/libcouchbase.git $ cd libcouchbase && mkdir build && cd build $ ../cmake/configure $ make $ sudo make install 

    В конце установите библиотеку python из pip:

     sudo -H pip3 install couchbase